jed (1:0.99.20~pre.201+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.201+dfsg.
    This version fixes a bug of scrolling of the window, when it is updated
    (closes: 1124550).

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jan 2026 16:40:30 +0000

jed (1:0.99.20~pre.199+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.199+dfsg
  * d/p/test-expand-trailing-slash-in-home.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 16 Nov 2025 07:24:32 -0300

jed (1:0.99.20~pre.198+dfsg-2) unstable; urgency=medium

  * d/p/test-expand-trailing-slash-in-home.patch: New patch
  * d/rules: Drop workaround for unusual $HOME value

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 13:06:23 -0300

jed (1:0.99.20~pre.198+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.198+dfsg
  * d/watch: Convert to format version 5
  * d/salsa-ci.yml: Add CI pipeline configuration
  * d/rules: Fix reprotest failure due to malfunctioning unit test

 -- Rafael Laboissière <rafael@debian.org>  Thu, 13 Nov 2025 08:21:48 -0300

jed (1:0.99.20~pre.197+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.99.20~pre.197+dfsg
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Sep 2025 03:24:35 -0300

jed (1:0.99.20~pre.193+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.193+dfsg
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 May 2025 09:39:44 -0300

jed (1:0.99.20~pre.189+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.189+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 06:07:25 -0300

jed (1:0.99.20~pre.188+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.188+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jan 2025 11:56:23 -0300

jed (1:0.99.20~pre.187+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.187+dfsg
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 03:48:06 -0300

jed (1:0.99.20~pre.186+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.186+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jan 2025 09:58:32 -0300

jed (1:0.99.20~pre.183+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.183+dfsg
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:19:15 -0300

jed (1:0.99.20~pre.181+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.181+dfsg
  * d/copyright: Reflect upstream changes
  * d/p/deprecated-autoconf-macros.patch: Fix line numbers in patch
  * d/control: Build-depend on pkgconf, instead of on the deprecated
    pkg-config

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Mar 2024 11:07:47 -0300

jed (1:0.99.20~pre.180+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 03:57:53 -0300

jed (1:0.99.20~pre.180+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.180+dfsg
  * d/jed-common.lintian-overrides: Add override for Litian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 May 2023 06:47:01 -0300

jed (1:0.99.20~pre.178+dfsg-6) unstable; urgency=medium

  * d/*.maintscript: Add epoch to the version number in symlink_to_dir setting.
    The version in the {jed,xjed}.maintscript files is bumped to
    1:0.99.20~pre.178+dfsg-6~, such that the cleanup is performed on both
    upgrades from stable to testing (missed cleanup) and from testing to
    unstable (fixed cleanup).
    Thanks to Andreas Beckmann for spotting the problem and suggesting its solution.
    (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 May 2023 04:40:36 -0300

jed (1:0.99.20~pre.178+dfsg-5) unstable; urgency=medium

  * Add files d/{jed,xjed}.maintscript.
    These files allow the smooth transition for /usr/share/doc/{jed,xjed},
    which were symlinks before version 0.99.20~pre.151+dfsg-1 and are now
    real directories. (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 May 2023 14:19:52 -0300

jed (1:0.99.20~pre.178+dfsg-4) unstable; urgency=medium

  * d/jed-common.preinst: Avoid non-fatal abortion of the script.
    Thanks to Axel Beckert for the fix (Closes: #1035839)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 May 2023 01:20:42 -0300

jed (1:0.99.20~pre.178+dfsg-3) unstable; urgency=medium

  * Fix upgrade of jed-common (closes: #1035780)

    The previous version, which tried to fix Bug#1035692, messed up
    with the directory /usr/share/doc/jed-common/txt. This directory
    is not really needed and has been removed, with all filesit
    contained being kept in /usr/share/jed/doc/txt/. This version
    should allow a smooth transition of jed-common from both bullseye
    (version 0.99.19-8) and testing (version 0.99.20~pre.178+dfsg-1)
    into bookworm.

    + d/clean: Restore previous version
    + d/jed-common.links: Reintroduce this file (for symlink etc/jed.d/README)
    + d/jed-common.maintscript: Remove file
    + d/rules: Keep files in /usr/share/jed/doc/txt
    + d/jed-common.preinst: Remove obsolete directory
      /usr/share/doc/jed-common/txt

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 May 2023 08:42:07 -0300

jed (1:0.99.20~pre.178+dfsg-2) unstable; urgency=medium

  * Avoid installing the *.txt help file over a directory symlink
    (closes: #1035692)
    + d/jed-common.maintscript: Add symlink_to_dir command for the
      directory /usr/share/jed/doc/txt
    + d/jed-common.links: Removed file
    + d/rules: Create file d/jed-common.links by adding individual
      symbolic links /usr/share/jed/doc/txt/*.txt point to the files in
      /usr/share/doc/jed-common/txt/
    + d/clean: Remove the file d/jed-common.links

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 May 2023 12:19:26 -0300

jed (1:0.99.20~pre.179+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.179+dfsg
  * Uploaded to experimental, since the bookworm freeze started

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Feb 2023 09:04:21 -0300

jed (1:0.99.20~pre.178+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.178+dfsg
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Jan 2023 15:10:00 -0300

jed (1:0.99.20~pre.177+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.177+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Jan 2023 14:13:21 -0300

jed (1:0.99.20~pre.173+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.173+dfsg
  * d/copyright: Exclude files src/mkfiles/mkmake*.exe
  * d/watch: Generalize dversionmangle for +dfsg[0-9]* tarballs

 -- Rafael Laboissière <rafael@debian.org>  Thu, 29 Dec 2022 13:50:37 -0300

jed (1:0.99.20~pre.172+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.172+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 18:54:27 -0300

jed (1:0.99.20~pre.170+dfsg-2) unstable; urgency=medium

  * Delete all generated files at install/remove-time
    + d/compile: Drop code for removal of generated files
    + d/postinst.in: Add code for removal of generated files
    + d/NEWS: Document this change

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Dec 2022 09:40:23 -0300

jed (1:0.99.20~pre.170+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.170+dfsg

  [ Debian Janitor ]
  * Apply multi-arch hints. + jed-common: Add Multi-Arch: foreign.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 15 Nov 2022 21:29:01 -0300

jed (1:0.99.20~pre.169+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.169+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Aug 2022 11:48:47 -0300

jed (1:0.99.20~pre.168+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.168+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Aug 2022 17:08:25 -0300

jed (1:0.99.20~pre.167+dfsg-2) unstable; urgency=medium

  * Overhaul the mechanism for byte-compilation of *.sl files at install time
    + d/{postinst,prerm,triggers}.in: New template files
    + d/rules: Generate {jed,xjed}.{postinst,prerm,triggers} form the template
      files {postinst,prerm,triggers}.in
    + d/clean: Remove the {jed,xjed}.{postinst,prerm,triggers} files that
      are automatically generated by debian/rules
    + d/control: Drop the relationship "Recommends: jed|xjed" for jed-common
    + d/{jed-common,jed,xjed}.{postinst.prerm}: Drop obsolete files
    + d/NEWS: Document the changes
  * d/jed-common.lintian-overrides: Add override for Lintian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Jul 2022 04:35:09 -0300

jed (1:0.99.20~pre.167+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.167+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jun 2022 10:45:00 -0300

jed (1:0.99.20~pre.160+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.160+dfsg
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Jun 2022 06:31:37 -0300

jed (1:0.99.20~pre.159+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.159+dfsg
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:43:54 -0300

jed (1:0.99.20~pre.158+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.158+dfsg
  * Drop patches (applied upstream):
    + d/p/check-for-lib-terminfo.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/backquote-insert-command.patch
  * Refresh patches for new upstream version
    + d/p/deprecated-autoconf-macros.patch
    + d/p/improve-info-files.patch
    + d/p/jed-manpage.patch
    + d/p/spelling-errors.patch
  * Install upstream desktop files
    + d/desktop/{x,}jed.{desktop,svg}: Drop files
    + d/{x,}jed.install: Adjust installation paths
    + d/s/lintian-overrides: Drop Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Dec 2021 19:02:59 -0300

jed (1:0.99.20~pre.152+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.152+dfsg
  * d/clean: Remove letf-over directory autoconf/autoconf/

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Oct 2021 06:01:21 -0300

jed (1:0.99.20~pre.151+dfsg-3) unstable; urgency=medium

  * Make the backquote key just insert the backquote character
    + d/p/backquote-insert-command.patch: New patch
    + d/README.Debian: Document this change
    (Closes: #765373)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Sep 2021 05:48:11 -0300

jed (1:0.99.20~pre.151+dfsg-2) unstable; urgency=medium

  * Ensure that binary-arch and binary-indep builds work
    + debian/rules: Increase control in -arch and -indep rules
    + d/jed-common.install: Install d/compile manually
    + d/jed.manpages: Install man page from doc/manual directory
    + d/xjed.manpages: Ditto

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Sep 2021 09:16:38 -0300

jed (1:0.99.20~pre.151+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.151+dfsg
  * d/copyright: Convert to DEP-5 format
  * Use snapshot upstream releases (Closes: #923692)
  * Drop prebuilt Windows binaries from upstream tarball
    + d/copyright: List the bin/w32/*.exe in Files-Excluded
    + d/watch: Repack the tarball with "+dfsg" suffix in upstream version
  * Use dh sequencer
    + d/rules: Fully revamp the building rules
    + d/clean: New file
    + d/jed-common.docs: New file
    + d/jed-common.examples: New file
    + d/jed-common.info: New file
    + d/jed-common.install: New file
    + d/jed-common.links: New file
    + d/jed.install: New file
    + d/jed.manpages: New file
    + d/xjed.install: New file
    + d/xjed.manpages: New file
    + d/autoreconf.{before,after}: Removed files
    + d/s/options: New file
    + debian/{jed,xjed}.desktop: Moved into debian/desktop/
    + debian/desktop/{jed,xjed}.svg: New icons
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Bump Debhelper compatibility level to 13
    + Add myself as an Uploader
  * d/u/metadata: New file
  * Add autopkgtest support
  * Do not install doc/README
  * New patches:
    + d/p/deprecated-autoconf-macros.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/fix-spelling-errors.patch
    + d/s/lintian-overrides

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 23 Sep 2021 01:59:42 -0300

jed (1:0.99.19-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use mktemp instead of tempfile in the maintainer scripts
    (Closes: #979458, #979459)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Aug 2021 10:55:14 -0300

jed (1:0.99.19-8) unstable; urgency=medium

  * QA source-only upload
  * Update VCS URL
  * Remove deprecated autotools-dev

 -- Wookey <wookey@debian.org>  Fri, 01 Jan 2021 03:58:15 +0000

jed (1:0.99.19-7) unstable; urgency=medium

  * Ensure configure is really regenerated (Closes: #804083)

 -- Wookey <wookey@debian.org>  Fri, 29 Jul 2016 03:31:09 +0000

jed (1:0.99.19-6) unstable; urgency=medium

  * Actually update config.{sub,guess} (Closes: # 832449)
  * Correct setting of Multiarch dir (Closes: #832450)
  * Solve termcap build issue (Closes: #804083)
  * Remove dh-autoreconf for now as it needs more work

 -- Wookey <wookey@debian.org>  Wed, 27 Jul 2016 04:24:03 +0100

jed (1:0.99.19-5) unstable; urgency=medium

  * Remove compiled .slc files on removal (Closes: #682453)
  * Document -e (mode-setting) option in manpage
  * Update standards-version
  * Use dpkg-buildflags instead of hardening-wrapper
  * Ensure copyright file is in each binary package
  * Add build-arch/buld-indep targets (closes: #821996)
  * Switch from dpatch to "3.0 (quilt)"
  * Use dh_autoreconf to update configuery (Closes: #804083)
  * Update Uploaders list (Closes: #830131, #830131, #831557)
  * Use triggers for info installing (Closes: #611331)

 -- Wookey <wookey@debian.org>  Mon, 25 Jul 2016 01:51:23 +0100

jed (1:0.99.19-4) unstable; urgency=medium

  * Use 'linux-any' in control files instead of !list (Closes: 634298)

 -- Wookey <wookey@debian.org>  Fri, 31 Oct 2014 23:56:50 +0000

jed (1:0.99.19-3) unstable; urgency=medium

  * Adopt package (Closes: #748256)
  * Tidy up description: (Closes: #582053)

 -- Wookey <wookey@debian.org>  Tue, 10 Jun 2014 03:00:47 +0100

jed (1:0.99.19-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ peter green ]
  * Make debian/rules pass in the include and library paths of the multi-arched
    slang and make it strip the rpaths out of the built executables. Also add
    appropriate build-dependencies (multiarch slang, dpkg-dev that supports
    multiarch variables and chrpath).
    (Closes: #640319)

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Dec 2011 14:22:36 +0100

jed (1:0.99.19-2) unstable; urgency=low

  * Dropped install-info from the Depends field of jed and xjed. This
    package is needed by jed-common and pulled in via dh_installinfo.

  * Removed Rafael Laboissiere from the list of uploaders, because he
    left the Debian project. (closes: #571826)

  * Bumped Standards-Version to 3.8.4; no changes needed.

  * Added debian/source/format to the source package. We still use
    format version 1.0, because we use dpatch with the script patch
    config.guess+sub.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 5 Apr 2010 19:42:14 +0200

jed (1:0.99.19-1) unstable; urgency=low

  * New upstream release

  * Better detection of non-linux architectures. (closes: #559063)

  * Change dependency of jed and xjed on jed-common to exact version
    to satisfy recommendation of Policy 2.5 regarding optional
    packages.

  * Drop conflict with jed-extra <= 2.3.2-3, stable version is newer
    than this.

  * Drop control fields for jed-sl replacement.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 14 Dec 2009 11:48:59 +0100

jed (1:0.99.19~pre210-1) unstable; urgency=low

  * This packages is based on the svn snapshot from
    https://svn.gna.org/svn/jed/trunk
    + 0.99.19pre207 improved scrolling (Closes: #306223)

  * Removed obsolate patches:
    + fix-multi-key -- applied upstream 0.99.19pre205
    + slang2        -- applied modified upstream 0.99.19pre206

  * Reimported the info files from the upstream source. They were removed
    in 0.99.18.dfsg.1-1, because the files in info/ contained a comment,
    sayin they were generatend and hence not the preferred form for
    modifications. This was a violation of the GPL. Now, upstream removed
    this comment and made the files in info/ the preferred form for
    modifications. For an upcoming upstream release we don't have to
    modify the tarball and don't have to add dfsg to the version.

  * Merged changes from 1:0.99.18+dfsg.1-12 and 1:0.99.18+dfsg.1-13.
    Because development of the 0.99.18 branch ended, 1:0.99.18+dfsg.1-13
    stays unreleased.

  * Dropped the workaround for stale config files left in /etc by dpkg
    (#108587) on an upgrade from older version of jed-common. As the
    version in lenny doesn't contain any of these old config files, we
    don't need this fix anymore. This made also the debconf question
    obsolate.

  * Droppend jed-common's dependency on debconf, because we don't use it
    anymore.

  * Droppend jed-common's dependency on findutils, because the current
    version in stable is recent enough and essential.

  * Removed the jed-common.preinst script (added in 1:0.99.18+dfsg.1-9),
    because an upgrade from the current stable version doesn't need this
    fix anymore.

  * Removed lintian override for spelling-error-in-readme-debian,
    because this error doesn't exist anymore.

  * New dpatch improve-info-files to add INFO-DIR-SECTION and
    INFO-DIR-ENTRY to info pages.

  * Removed debian/info-dir from the source, because it's not used
    anymore due to the changes in this version.

  * Removed get-orig-source. We have a watch file.

  * Bumped Standards-Version to 3.8.3; no changes needed.

  * Removed obsolate files: README.Maintainer, {x,}jed.preinst,
    jed-common.postrm

  * This version should go into unstable, because the code of 0.99.18
    (current unstable) is very old and the development of jed moved on
    in 0.99.19. The code is stable and we should push this code to our
    main users (those of unstable and any time later stable).

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 21 Nov 2009 23:10:27 +0100

jed (1:0.99.19~pre175-1) experimental; urgency=low

  * New upstream release

  * Merged changes from 1:0.99.18+dfsg.1-11.

  * Removed the dpatch for gpm and xft support and use the new configure
    options.

  * Removed the workaround for the broken rxvt keydefinition. A fix was
    applied in 0.99.19pre118. See #446444.

  * Added the file README.source to describe how to use dpatch (or better
    said link to the default description in /usr/share/doc/dpatch). Added
    the version 2.0.30 to the build dependency on dpatch to ensure the doc file
    exists.

  * Increased Standards-Version to 3.8.0. README.source is there, nothing
    more needed.

  * Added the field DM-Upload-Allowed: yes in the control file to allow
    uploads by Jörg Sommer.

  * Changed build dependency from libgpmg1-dev to libgpm-dev, because the
    old package is obsolate.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Thu, 01 Jan 1970 00:00:00 +0000

jed (1:0.99.19~pre143-2) experimental; urgency=low

  * Added slsh as build-dependency to make the test suite work.
    (closes: #488011)

  * Added a workaround for the bug #446444 in the terminfo entry for
    rxvt-unicode which caused the modes wmark and cuamark fail.

  * Removed questions and answers from README.Debian they are in
    jed_faq.txt, too. They are included in jed_faq since 0.99.19~pre136.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Fri, 27 Jun 2008 11:11:11 +0200

jed (1:0.99.19~pre143-1) experimental; urgency=low

  * New SVN snapshot taken from svn://svn.gna.org/svn/jed/trunk

    + 141. lib/site.sl: Add the slsh library directory to the slang load
      path even if it does not contain a local-packages sub-directory
      (Joerg Sommer). (closes: #482487)

    + 142. src/ledit.c: Changed the error message generated when unable
      to open a .sl to something less confusing (Suggested by Guenter
      Milde). (closes: #482490)

    + 143. lib/dabbrev.sl: Byte semantics instead of character semantics
      were used during expansion causing problems with words that contain
      multibyte characters. (closes: #434383)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 16 Jun 2008 17:22:48 +0200

jed (1:0.99.19~pre138-1) experimental; urgency=low

  * New upstream release
    + 131. src/gpmmouse.c: Do not use GPM if running in xterm or rxvt
      (Joerg Sommer). (closes: #473617)

  * Merged the changes from the unstable release branch.
    + Removed the following dpatches introduced by this merge. because
      they are applied upstream:
      - add-describe-bindings-to-C-h.dpatch  0.99.19~pre62
      - extend-jed_faq.dpatch                0.99.19~pre136
      - extend-help.sl.dpatch                0.99.19~pre134
      - extend-manpage.dpatch                0.99.19~pre135
      - fix-documentation.dpatch             0.99.19~pre132
      - fix-help.sl.dpatch                   0.99.19~pre134
      - fix-jed-doc-file.dpatch              0.99.19~pre137
      - fix-pymode-tab-space.dpatch          0.99.19~pre59
      - fix-update-before-key-hook.dpatch    0.99.19~pre133
      - highlight-isearch-results.dpatch     0.99.19~pre24
      - pymode-repeat-shift.dpatch           0.99.19~pre59
      - remove_jed_library_path.dpatch       0.99.19~pre138
      - sane-color-object-return.dpatch      0.99.19~pre16

  * Updated Vcs fields in the control file. Now, they point to the git
    repository at git.debian.org.

  * Use the package hardening-wrapper to enabled hardening as suggested in
    http://lists.debian.org/debian-devel-announce/2008/01/msg00006.html

  * Included the run of the testsuite from upstream source after the
    build of the binaries. If DEB_BUILD_OPTIONS contains the string
    ‘nocheck,’ the testsuite is skipped as suggested by the section
    ‘Using DEB_BUILD_OPTIONS’ at
    http://wiki.debian.org/Embedded_Debian_packaging_rules

  * Removed README.Debian-sarge-upgrade, because the upgrade from sarge
    to etch happend long time ago and we don't support upgrade from other
    than the last stable release.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 24 May 2008 13:51:17 +0200

jed (1:0.99.19~pre117-1) experimental; urgency=low

  * New upstream release, taken from the upstream SVN repository at
    gna.org

  * debian/patches/empty_rectangle.dpatch .../fix-warnings.dpatch
    .../fix-read_mini.dpatch .../update-copyright.dpatch
    + Removed these patches. They are now applied upstream.

  * copyright:
    + Put the address of the SVN repository there to make it more obvious
      where the code comes from.

  * debian/patches/fix-jed-doc-file.dpatch
    + New patch applied to make changes of Jed_Doc_Files made with
      jed_(append|insert)_doc_file go to set_doc_files.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 7 Oct 2007 20:17:19 +0200

jed (1:0.99.19~pre95-2) experimental; urgency=low

  * debian/patches/fix-update-before-key-hook.dpatch: The LASTKEY
    variable is not updated before the _jed_before_key_hook hooks are
    called.

  * /etc/jed.d/05jed-common.sl: Activated the keys Home and End by default.

  * debian/patches/fix-help.sl.dpatch: A new patch to fix problems in
    help.sl:
    + describe_bindings() doesn't take care of CASE_SEARCH with leads to the
      problem that "ESC [ A" and "ESC [ a" is replace by the same key
    + describe_bindings() gets confused by newlines in the key definiton,
      like in setkey(" \n", Key_KP_Enter)
    + describe_bindings(): A key definition that starts with @, SPACE or . must
      must be treated specialy

  * debian/patches/extend-help.sl.dpatch: A new patch to improve help.sl
    + Improves expand_keystring() to return Alt- instead of ESC, if ALT_CHAR
      is non-zero, and print Space instead of the space character
    + Improves describe_bindings() to convert the key sequences with
      expand_keystring().

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 2 Jul 2007 12:35:05 +0200

jed (1:0.99.19~pre95-1) experimental; urgency=medium

  * New upstream release, taken from the upstream SVN repository at
    gna.org

  * debian/patches/remove_jed_library_path.dpatch: In version 0.99.19-82 the
    require function was removed from jed and superseded by the version in
    slsh. This new function has a new argument structure and doesn't care
    about the jed_library_path anymore. Due to this, all jed_library stuff was
    removed and two transition functions get_jed_library_path and
    set_jed_library_path where added to site.sl until all third party scripts
    moved to [gs]et_slang_load_path. (closes: #428308)

  * debian/control:
    + Added slsh to the Depends field of jed-common, because since 0.99.19-82
      jed uses the require from slsh.

    + jed-extra breaks with the new require function from slsh and makes jed
      unusable. Added a conflict for the current version.

  * debian/patches/empty_rectangle.dpatch: Added a new patch that makes
    string_rectangle (^X R T) does not fail with an empty rectangle and
    insert only the text.

  * debian/patches/update-copyright.dpatch: Added a patch to update the
    copyright messages.

  * debian/patches/fix-documentation.dpatch: A new patch to improve the
    documentation.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 10 Jun 2007 20:58:14 +0200

jed (1:0.99.19~pre89-1) experimental; urgency=low

  * New upstream release, taken from the upstream SVN repository at
    gna.org

  * debian/patches/50_jed.tex.dpatch: Removed. It's includes upstream.

  * debian/patches/manpage.dpatch: Described the operation modes of jed
    in the manpage.

  * debian/patches/slang2.dpatch: Replaced and removed old SLang code
    that is deprecated since SLang2.

  * debian/patches/fix-warnings.dpatch: Fixed some warnings that show up
    when building with additional compiling checks.

  * debian/control: Added Jörg Sommer to the list of uploaders.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 29 May 2007 13:54:52 +0200

jed (1:0.99.19~pre78-1) experimental; urgency=low

  * Use an epoch in the package version number, since the unstable branch
    has also an epoch now.  Also start using "~pre" instead of ".+pre" in
    the version number, which is more appropriate.
  * debian/rules: Adjust the get-orig-source rule to the above

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 May 2007 22:51:27 +0200

jed (0.99.19.+pre78-2) experimental; urgency=low

  * Uploading to experimental.  The last release was accidentally uploaded
    to unstable.
  * debian/rules: Added code in the binary rule to check whether this version
    is targeted to the experimental distribution and issue a warning if it
    is not

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 21:54:33 +0200

jed (0.99.19.+pre78-1) unstable; urgency=low

  * New upstream release, taken from the upstream SVN repository at
    gna.org [JS]
  * Changed the upstream version numbering scheme, where the number after
    "+pre" corresponds to the micro version of the unstable Jed
    branch. [RL]
  * debian/rules:
    + Simplified the get-orig-source rule [JS]
    + The upstream version is obtained by parsing debian/changelog [RL]
    + Remove *.orig.tar.gz in the clean rule

  * Dropped debian/patches/fix-pymode-block-end.dpatch, which is now
    applied upstream. [JS]

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 11:55:33 +0200

jed (0.99.19.svn.60-1) experimental; urgency=low

  * New upstream release, taken from the upstream SVN repository at
    gna.org
  * The package version number contain the SVN revision number on which
    the package is built [RL]
  * Uploaded to experimental

  * In xjed, pasting with middle mouse button into an open mark works now
    (closes: #330825) [RL]

  * debian/patches/50_popups.sl.dpatch, debian/patches/doc.dpatch,
    debian/patches/highlight-isearch-results.dpatch,
    debian/patches/sane-color-object-return.dpatch,
    debian/patches/pymode-repeat-shift.dpatch,
    debian/patches/fix-menu-utf8.dpatch,
    debian/patches/add-describe-bindings-to-C-h.dpatch:
    Dropped these patches, which are now applied upstream
  * debian/patches/fix-pymode-block-end.dpatch:
    Adapted for the 0.99.19 branch [RL]

  * debian/po/es.po: Added translation of debconf templates to Spanish.
    (synched from 0.99.18-8.etch.1) [RL]

  * Synched with 0.99.18+dfsg.1-2 [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 11:37:36 +0200

jed (1:0.99.18+dfsg.1-13) UNRELEASED; urgency=low

  * debian/rules:
    + Add info-dir-section and menu entry to jed.info (closes: #528877)
    + Replace the ancient config.{guess,sub} files by modern ones from the
      autotools-dev package (fix Lintian warning)
  * debian/info-dir: New file containing the information above
  * debian/jed-common.{postinst, prerm}: Remove calls to install-info, as
    per the dpkg -> GNU install-info transition
  * Add dependency on install-info to jed and xjed.  Thanks to Norbert
    Preining (closes: #532590, #532595)
  * debian/control:
    + Suggests info-browser
    + Bump Standards-Version to 3.8.2 (no changes needed)
    + Build-depends on autotools-dev

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 May 2009 18:31:36 +0200

jed (1:0.99.18+dfsg.1-12) unstable; urgency=low

  * /etc/jed.d/05jed-common.sl [GM]:
    + improved backwards compatibility of the startup scheme:
      read ~/.jedrc if ~/.jed exists but neither ~/.jed/jed.rc
      nor ~/.jed/.jedrc.
    + Add slsh library dir (work around a bug in site.sl triggered by
      the removal of slsh/local-packages/ in recent slsh versions).
  * debian/control: Bump Standards-Version to 3.8.1 (add needed file
    debian/README.source explaining the patch system) [RL]
  * debian/watch [RL]:
    + Mangle the "+dfsg" part of the upstream version, which is a Debian
      addition (fix Lintian warning)
    + Add option pasv for accessing the upstream ftp server
  * debian/control, debian/compat: Bump build-dependency on debhelper to
    >= 7 and adjust the compatibility level accordingly (fix Lintian
    warning) [RL]
  * debian/control: Add Günter Milde to the list of Uploaders [RL]
  * debian/jed.prerm, debian/xjed.prerm: Set the -e flag which ensures
    that the script's execution is aborted when any executed command
    fails (fix Lintian warning) [RL]
  * debian/control: Fix Lintian warnings debhelper-but-no-misc-depends [RL]
  * debian/jed-common.lintian-overrides: Add override for Lintian warning
    about spelling error in README.  The word "XWINDOWS" appears in a code
    fragment and this is not a spelling error. [RL]
  * debian/rules: Call dh_lintian for jed-common package [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 10:46:58 +0200

jed (1:0.99.18+dfsg.1-11) unstable; urgency=low

  * debian/po/it.po:  Add Italian translation of the debconf templates,
    thanks to Luca Monducci (closes: #504996)
  * debian/control: Update the Vcs-* fields to the new Git repository

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 08 Nov 2008 14:44:17 +0100

jed (1:0.99.18+dfsg.1-10) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-field for the extended description
    + Bumped Standards-Version to 3.7.3
  * debian/po/fi.po: Add Finnish translation of the debconf templates,
    thanks to Esko Arajärvi (closes: #476637)
  * debian/README.Debian, debian/README.Debian-startup: Updated to make
    clear the startup scheme in Debian (closes: #466486) [GM]
  * debian/jed-common.doc-base: Change section to Editors, in accordance
    with the doc-base Manual
  * debian/jed-common.copyright: Add release years to the copyright notice
  * debian/NEWS: Use the recommended format.  Put the last (long) entry
    containing the information about upgrading from sarge into a separated
    file
  * debian/jed.README.Debian-sarge-upgrade: New file

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 Apr 2008 17:02:04 +0200

jed (1:0.99.18+dfsg.1-9) unstable; urgency=low

  * debian/rules:
    + Policy 12.3 requires that programs stay working after removing of
      /usr/share/doc/. Due to this we can't move the internal help files
      to /usr/share/doc. Now, they are back in /usr/share/jed/doc and a
      symlink is placed in /usr/share/doc/jed.

  * debian/jed-common.preinst:
    + Added for a properly upgrade to the help files in /usr/share/jed/doc,
      because policy 6.6 item 4 states that dpkg does not replace directories
      by symlinks et vice versa. Due to this we must remove the old
      directories and the symlink in the preinst script.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 9 Sep 2007 17:45:31 +0200

jed (1:0.99.18+dfsg.1-8) unstable; urgency=low

  * debian/jed.menu, debian/xjed.menu:
    + Changes section according to the new menu hierarchy (as specified in
      version 2.1.35 of the menu package)
    + Capitalized titles
  * debian/README.Debian: Added FAQ entry about how to cancel commands
    that prompt the user with "y/n" choices (closes: #426873)
  * debian/rules: Allow catching errors from "make distclean" by checking
    the existence of Makefile instead of prefixing the command with a
    hyphen

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Jul 2007 00:35:50 +0200

jed (1:0.99.18+dfsg.1-7) unstable; urgency=low

  * debian/control:
    + Added Jörg Sommer to the Uploaders list
    + Replaced ${Source-Version} by ${source:Version}, since the former is
      deprecated

  * Tighten the build-dependency to libslang2 >= 2.0.7-2, which have  the
    appropriate version number in the shlib file.  This guarantees that
    the resulting jed and xjed packages will depend on libslang2 >=
    2.0.7-1, which prevents linking against libslang2 2.0.6 (closes: #427166)
    Also, segmentation fault with some pre-compiled slang files is avoided
    (closes: #425424)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 Jun 2007 12:15:36 +0200

jed (1:0.99.18+dfsg.1-6) unstable; urgency=low

  * Uploaded to unstable again, adding an epoch to the version number this
    time.  This is the only way to circumvent the accidental release of
    0.99.19 to unstable.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 21:01:53 +0200

jed (0.99.18+dfsg.1-5) unstable; urgency=low

  * Reuploaded to unstable because the package intended for the
    experimental distribution was accidentally uploaded to unstable.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 15:53:52 +0200

jed (0.99.18+dfsg.1-4) unstable; urgency=low

  * debian/control: Removed restriction >= 2.0.7 for libslang2-dev in
    Build-Depends (closes: #424707)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 11:28:44 +0200

jed (0.99.18+dfsg.1-3) unstable; urgency=low

  * Rebuilt against libslang2 2.0.7

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2007 00:30:50 +0200

jed (0.99.18+dfsg.1-2) unstable; urgency=low

  * Added debian/po/ja.po, forgotten in the last upload

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 11:36:09 +0200

jed (0.99.18+dfsg.1-1) unstable; urgency=low

  * Synched with versions 0.99.18-8.etch.3 and 0.99.18-8.etch.4
  * debian/NEWS: Added note about the changed handling of "~" in path
    names (closes: #418529)
  * Changed the version numbering system for the upstream part from
    0.99.18.dfsg.* to 0.99.18+dfsg.*, such that an eventual upgrade to
    0.99.18.1 would be possible
  * Uploaded to lenny, now that etch is released

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 11:12:32 +0200

jed (0.99.18-8.etch.4) unstable; urgency=low

  * debian/po/ja.po: Added translation of debconf templates to Japanese.
    (closes: #413222).  Thanks to Kobayashi Noritada.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  3 Mar 2007 15:18:45 +0100

jed (0.99.18-8.etch.3) unstable; urgency=low

  * debian/po/gl.po: Added translation of debconf templates to Galician.
    (closes: #412519).  Thanks to Jacobo Tarrio.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 26 Feb 2007 17:06:09 +0100

jed (0.99.18.dfsg.1-2) experimental; urgency=low

  * Synched with version 0.99.18-8.etch.2, which will be in testing [RL]
  * debian/po/es.po: Added file [RL]

  * Produce info files from doc/manual/jed.tex using hevea [JS]

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 26 Feb 2007 14:21:30 +0100

jed (0.99.18-8.etch.2) unstable; urgency=low

  * Reverted the changes in debian/jed-common and
    debian/patches/fix-pymode-tab-space.dpatch that were not in 0.99.18-8
    but were mistakenly introduced into 0.99.18-8.etch.1

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2007 11:46:46 +0100

jed (0.99.18-8.etch.1) unstable; urgency=low

  * debian/po/es.po: Added translation of debconf templates to Spanish.
    (closes: #409807).  Thanks to Steve Lord Flaubert.

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  5 Feb 2007 20:11:41 +0100

jed (0.99.18.dfsg.1-1) experimental; urgency=low

  * Exclude the info/ directory from the upstream, since the files there
    were outdated, no longer maintained, and without proper licensing
    conditions.  Also, the texinfo sources were lacking, making these
    files improper to be distributed by Debian, according to the DFSG.
    For this reason, the upstream version number contains now ".dfsg.".
  * debian/rules: Changed according to the above.  Info files are not
    installed anymore.  In the get-orig-source rule, the info/ directory
    is removed before building the tarball. [RL]

  * debian/control: Exclude gpm suggestion for the hurd-i386,
    kfreebsd-i386, and kfreebsd-amd64 architectures [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Jan 2007 11:59:40 +0100

jed (0.99.18-9) experimental; urgency=low

  * debian/patches/00list: Reintroduced dpatches fix-pymode-tab-space
    and pymode-repeat-shift, which were temporarily dropped in the last
    release (again, closes: #305668) [RL]

  * debian/init.d/05jed-common.sl: Do not call info_mode() for *.info
    files, since info_mode is no editing mode but an info reader mode
    (closes: #180577). [GM]

  * debian/README.Debian: Added a Q&A entry to the FAQ section explaining
    that the Alt key should be pressed down when pasting text selected
    outside the console (closes: #174370) [RL]
  * debian/control: related to the above, suggest the gpm package [RL]

  * debian/patches/add-describe-bindings-to-C-h.dpatch: Bind "Ch b" to
    describe bindings in Emacs emulation (closes: #292421) [RL]

  * debian/patches/highlight-isearch-results.dpatch: When using
    incremental search, highlight the text found after each find.
    This is included upstream for jed >= 0.99.19-24 (closes: #387061) [RL]

  * debian/patches/sane-color-object-return.dpatch: If no colors have been
    associated with a color-object, return "default" for the
    foreground/background colors instead of NULL. (This patch was taken
    from the JED SVN repository at gna.org, revision 34, corresponding to
    JED release 0.99.19-16; closes: #378396) [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 19 Jan 2007 10:38:20 +0100

jed (0.99.18-8) unstable; urgency=low

  * debian/po/sv.po: Adjusted msgid strings to correspond to those in
    po/templates.pot, otherwise po2debconf will not include the sv
    translations [RL]

  * debian/po/pt_BR.po: Updated file [RL]
  * debian/po/pt.po: Added the last question which was lacking in the
    translation (really closes: #400510) [RL]

  * debian/jed-common.config: Made this debconf script works as expected
    [RL & JS]
  * debian/jed-common.preinst: Removed file [RL]
  * debian/control: Since the preinst script is gone, moved debconf from
    Pre-Depends to Depends for jed-common [RL]

  * debian/rules: Reverted the change in last release regarding the
    naming of the upstream info files.  We have been informed that
    Lintian will not complain about this in the future and,
    apparently, it is not really a Policy violation [RL]

  * debian/patches/fix-pymode-tab-space.dpatch: Dropped this patch for now,
    until a consensus is reached on how it should be implemented [RL]
  * debian/patches/pymode-repeat-shift.dpatch: Dropped this patch also,
    since it depends on fix-pymode-tab-space [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Jan 2007 11:43:30 +0100

jed (0.99.18-7) unstable; urgency=low

  * po/nl.po: Added the translation into Dutch of the deconf messages.
    Thanks to Vincent Zweije (closes: #395251) [JS]

  * control: Moved debhelper dependency to the Pre-Depends field, because
    we need debhelper in the preinst script. [JS]

  * po/pt.po: Added the translation into Portuguese of the deconf messages.
    Thanks to Miguel Figueiredo (closes: #400510) [JS]

  * po/ru.po: Added the translation into Russian of the deconf messages.
    Thanks to Yuri Kozlov (closes: #405744) [JS]

  * patches/fix-pymode-tab-space.dpatch: Improved the patch to cover the
    cases Günther Milde has reported. Thanks Günther (closes: #305668) [JS]

  * rules: Rename the upstream info files from jed.*in into jed.info-*, as
    required by section 12.2 of the Debian Policy [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  9 Jan 2007 17:00:10 +0100

jed (0.99.18-6) unstable; urgency=low

  * debian/patches/pymode-repeat-shift.dpatch: Added a patch to make the
    shift line commands respect the repeat count (the prefix argument) in
    Python mode. [JS]

  * Fixed some linker options to reduce unnecessary dependencies on
    librararies (see http://rerun.lefant.net/checklib/) Now, xjed doesn't
    depend on libfontconfig1 anymore. [JS]

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Sep 2006 22:38:31 +0200

jed (0.99.18-5) unstable; urgency=low

  * jed-common.templates: fixed a typo in the debconf question; thanks
    to Sven Joachim (closes: #384726) [JS]

  * po/fr.po: Updated the French debconf translation; thanks to
    Thomas Huriaux (closes: #384683) [JS]
  * po/cs.po: Updated the Czech debconf translation; thanks to
    Miroslav Kure (closes: #384751) [JS]
  * po/de.po: Added a German debconf translation [JS]
  * debian/po/sv.po: Swedish translation for debconf templates, thanks to
    Daniel Nylander [RL]

  * patches/fix-pymode-tab-space.dpatch: Added a patch to make python mode
    use the right indention character for a file (tab vs. space)
    (closes: #305668) [JS]

  * install README.Debian (to /usr/share/doc/jed-common) [GM]

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Sep 2006 19:11:46 +0200

jed (0.99.18-4) unstable; urgency=low

  * debian/watch: Added file [RL]
  * debian/po/fr.po: Reviewed version, thanks to Thomas Huriaux
    and Christian Perrier [RL]

  * piuparts complained about the left config files after the upgrade from
    sarge. Now they are handled like 00site.sl and 99defauls.sl before. [JS]

  * Fixed the insufficient detection of block ends in pymode. [JS]

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 Aug 2006 13:19:11 +0200

jed (0.99.18-3) unstable; urgency=low

  * Reuploaded to unstable with the .changes files containing all the
    entries since the last version uploaded to unstable, such that all the
    bugs tagged fixed-in-experimental will be automatically closed with
    the appropriate explanation from the changelog.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 Jul 2006 13:17:20 +0200

jed (0.99.18-2) unstable; urgency=low

  * Documentation update (NEWS, README.Debian, README.Debian-startup) [GM]
    - document the (beta) UTF8 support with SLang2
    - warn of SLang2 eventually breaking old *.sl scripts
    - explain Debian's /etc/jed.d/ startup dir

  * debian/po/cs.po: Added Czech translations for debconf templates,
    thanks to Miroslav Kure [RL]

  * debian/control:
    - Make sure jed|xjed and jed-common are of the same version.
       + jed|xjed depend on jed-common (same version),
       + jed-common recommends jed|xjed and conflicts with earlier versions
         (as it is not broken without jed|xjed).
    - Removed the conflict with jed-extra (<= 1.0-1) as jed-extra will not
      break jed|xjed (jed-common will not work by default, as jed|xjed now
      uses the startup dir /etc/jed-init.d/ instead of /etc/jed.d/. Some
      modes of jed-extra will fail with SLang2. See also NEWS)
    - Removed the obsolete Conflict and Replace of jedslc, jedsl, jedsl-src,
      and jed (<< 0.99.10-2).

 -- Rafael Laboissiere <rafael@debian.org>  Fri,  7 Jul 2006 22:02:54 +0200

jed (0.99.18-1) experimental; urgency=low

  * New upstream release (see changelog.gz for new features)

  * debian/control:
    + the kfreebsd-i386 architecture does not have the package
      libgmpg1-dev; removed it from the Build-Depends list for this
      architecture (closes: #345268) [JS]

    + removed the version condition from debhelper and libgmpg1-dev
      in Build-Depends, because the packages in stable are newer than
      this version. [JS]

    + added the Uploaders: field [RL]

    + removed x-dev as build dependency; this is a transition package [JS]

    + added the Homepage pseudo header as the developers reference
      suggests it in section 6.2.4. [JS]

    + decreased the version from the findutils dependency and replaced the
      -delete option in the compile script in jed-common; this makes
      backporting of the package easier. [JS]

    + splitted the dependency lines to reflect the possible independent
      build targets. [JS]

    + increased the Policy standard version; no changed needed [JS]

  * debian/patches/00list:
    + disabled xrender extension and gpm support on hurd-i386 and
      kfreebsd-i386 now uniformly by dpatch [JS]

    + applied patch from Aurelien Jarno for correct handling xrender
      and gpm on FreeBSD/Linux; Thanks to him for his help [JS]

  * debian/rules:
    + added a get-orig-source target to [JS]

    + splitted the architecture dependent and independent parts; It's now
      possible to build just one of them. This should decrease the effort
      to build the package on slower machines (arm, hppa). [JS]

  * /usr/share/jed/lib/defaults.sl:
    + added code to support slang_load_path and doc_path for
      /usr/share/slsh/ introduced with SLang2 [JS]

    + new function debian_startup() that evaluates the files in /etc/jed.d
      (This function is run by default with every startup, but not if
        * disabled with the --skip-debian-startup command line argument
        * jed is called via the `jed-script` symlink
       If a script needs the standard debian initialization (e.g. for
       functions in the jed-extra package), it can call debian_startup()
       explicitely. [GM]

  * /usr/share/doc/jed-common/Debian-Jed-Policy.txt:
    + added a first draft for a policy about packages for Jed [JS]

  * debian/jed-common.templates, debian/po/*:
    + converted to po-debconf [RL]

  * debian/jed-common.postrm:
    + fixed bugged shell code that slipped into version 0.99.16-6 of the
      package that makes the upgrade from that version fails [RL]

  [JS] Jörg Sommer <joerg@alea.gnuu.de>
  [GM] Guenter Milde
  [RL] Rafael Laboissiere <rafael@debian.org>

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 16 May 2006 12:02:52 +0200

jed (0.99.17.135-1) experimental; urgency=low

  +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/rules: Prevent compression of *.txt files in package
    jed-common.

  +++ Changes by Guenter Milde

  * jed.d/05jed-common.sl: Support ~/.jed/jed.rc config file in accordance
    with  FHS 2.3

      User specific configuration files for applications are stored in the
      user's home directory in a file that starts with the '.' character (a
      "dot file"). If an application needs to create more than one dot file
      then they should be placed in a subdirectory with a name starting with
      a '.' character, (a "dot directory"). In this case the configuration
      files should not start with the '.' character.

    ATTENTION: This change means that if a user has a ~/.jed/ directory, JED
    will no longer search for ~/.jedrc at startup. Instead it expects the
    config file in ~/.jed/ (which will become the `Jed_Home_Directory').

    If a user creates a "~/.jed/" directory, he|she must move ~/.jedrc to
    ~/.jed/jed.rc (~/.jed/.jedrc is still found but deprecated).

  * linked the Debian specific startup configuration system
    (/etc/jed.d/ directory) to the native JED startup config via a defaults.sl
    file. As defaults.sl itself is not intended for configuration, it may
    reside in /usr/share/jed/lib/ without violating the FHS.

  * Added dependency on findutils (>= 4.2.9) which introduces the
    -delete option to `find` needed for update and removal.

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Wed,  9 Nov 2005 10:52:41 +0100

jed (0.99.17.111-1) experimental; urgency=low

  * New upstream release

  +++ Changes by Rafael Laboissiere

  * Starting with this release, the *.slc files are generated at install
    time and not at build time as before.  This means that the *.sl files
    are included in jed-common and the jed-sl package is dropped.
  * Also, we have now a new scheme for byte-compiling all files in jed
    add-on package each time the jed-common package is upgraded.
  * debian/control:
    - Removed entry for jed-sl package
    - jed-common Conflicts with and Replaces jed-sl
    - Conflicts with jed-extra <= 1.0-1, because we are now using SLang2
      (Get SLang2-compatible extra modes from http://jedmodes.sf.net/)
  * debian/rules:
    - Dropped stuff related to jed-sl
    - (clean) Remove src/config.h, which is automatically generated by
      configure, but is not removed by make distclean.
  * debian/compile: New script to compile/remove the *.slc files.
  * debian/jed-common.postinst, debian/jed-common.prerm: Run
    /usr/share/jed/compile/jed-common with the appropriate arguments.
  * debian/jed-sl.*: Removed files

  +++ Changes by Jörg Sommer <joerg@alea.gnuu.de>

  * changed headline of 00debian.sl to name the correct file name
    (Closes: 307110)
  * moved /u/s/j/l/jed.conf to /u/s/d/jed-common/examples (Closes: 287781)
  * described the handling of ~/.jed/, if jed-extra is installed
    (Closes: 210274)
  * changed build strategy of installing files in packages. The old way
    (copying the files from the source tree) had some problems. Files
    are excluded by upstream installation were installed (jed.conf,
    vms_shell.com). Now, upstream Makefile installs in debian/tmp and
    from there the packages become filled.
  * build the executables without RPATH; lintian had warned
  * added jed-script and its man-page
  * debian/control:
    + removed jed-common dependency on slang
    + jed-common recommends xjed
    + changed description of jed-common
    + updated Standards-Version field; no points of the policy update
      affected this package
    + removed perl-base from Build-Depends because it is an essential
      package
    + added debconf-2.0 as dependency for jed-common (needed by the user
      dialog for compiling sl-files or removing 00site.sl)
  * rewrote rules to make more use of debhelper
  * moved /u/s/j/lib/jed.rc to examples and disabled searching for it in
    00debian.sl by setting Default_Jedrc_Startup_File = NULL
    (Closes: 219448)
  * removed 50_emacs-bindings.dpatch, because jed.rc is out of the way
    and emacs emulation is the default of jed
  * from now the user is asked if the sl files in jed-common should get
    pre-compiled after installation
  * if 00site.sl and 99defaults.sl exist and were changed, the user is
    asked if they should be removed; otherwise they are dropped silently
    (Closes: 266981)
  * added a space at the beginning of line in changelog file for the entry
    of the "14 Feb 2000"; lintian complained

  +++ Changes by Guenter Milde

  * moved the basic debian configuration stuff to jed.conf and removed
    00debian.sl
  * removed the setup of paste mode now superseded by the `paste' function
    in paste.sl
  * removed indent_buffer() and indent_region_or_line() from the basic
    configuration. (These functions are now in txtutils.sl in jed-extra.)
  * removed the "registration" of home and local library directories from
    /etc/jed.d/05jed-common.sl (this should be done by the user in .jedrc).
    Leaved the Jed_Home_Directory rewriting, as this allows the hiding of
    .jedrc in ~/.jed/.

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Thu, 22 Sep 2005 10:07:34 +0200

jed (0.99.16.pre.0.99.17.84-1) experimental; urgency=low

  +++ Changes by Rafael Laboissiere

  * New upstream release.  This is the development branch, a.k.a. the
    pre-0.99.17 series.  I am using a funny version number in order to
    avoid using epochs when jed 0.99.17 will be released.
  * This versions makes extensive use of dpatch.  The big Debian-specific
    patch that used to be in 0.99.16-* is now broken down in smaller
    pieces:
    - debian/patches/40_freetype-include
    - debian/patches/50_slangfun-txt.dpatch
    - debian/patches/50_jed-manpage-option-g
    - debian/patches/50_enable-xrenderfont
    - debian/patches/50_emacs-bindings
    - debian/patches/50_paste-mode-sl
    - debian/patches/60_gpm-mouse-support
  * debian/rules:
    - Do not build/install jgrep, because this program does not even
      compile against libslang2.
    - On-the-fly patching of src/Makefile for gpm and xrender support is
      dropped.  Used
  * debian/control: Build-depends on libslang2-dev (>= 1.99pre2r7-1)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Fri,  8 Apr 2005 15:04:02 +0200

jed (0.99.16-6) unstable; urgency=low

  * Acknowledged NMU
  * debian/control:
    - Build-depends on libxt-dev instead of xlibs-dev (closes: #346733)
    - Upgraded Standards-Version to 3.6.2 (no changes needed)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Thu, 12 Jan 2006 12:47:14 +0100

jed (0.99.16-5.1) unstable; urgency=low

  * NMU fixing build-dependency on libslang1-dev and
    dependency of jed-common. Closes: #324982.

 -- Thomas Viehmann <tv@beamnet.de>  Fri, 28 Oct 2005 10:05:52 +0200

jed (0.99.16-5) unstable; urgency=low

  +++ Changes by Rafael Laboissiere

  * Changed maintainer to the Debian JED Group, which is the new official
    maintainer of the jed packages (closes: #282297).
  * debian/control: Build-depends on dpatch
  * debian/rules: Adjust for using dpatch
  * debian/patches/:
    - 50_debian_0.99.16-4.dpatch: Legacy patch from version 0.99.16-4
    - 50_increase-MAX_USER_FLIST.dpatch: Increase the number of autoload
      definitions. This will be useful for the upcoming jed-extra package.
  * Lintian fixes:
    - debian/control: Removed periods (".") from short descriptions
    - debian/rules, debian/xjed.dirs, debian/xjed.menu:
      + Do not install files in /usr/X11R6
      + Install xjed man page with extension .1, not .1x

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Wed, 16 Mar 2005 15:26:52 +0100

jed (0.99.16-4) unstable; urgency=low

  * QA Upload
  * Change maintainer to QA Group
  * Acknowledge NMUs (Closes: #221338, #239186)
  * Fix hyphens in man page (Closes: #236711)
  * Lintian fixes:
    - remove DH_COMPAT from rules since there is already debian/compat
    - correct quoting in xjed.menu
    - add reference to GPL-2 file in jed-common.copyright
    - remove latin1 char from changelog
    - un-capitalize first words of descriptions
    - increase Standards-Version to 3.6.1, no changes

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  6 Feb 2005 18:52:28 +0100

jed (0.99.16-3.2) unstable; urgency=low

  * NMU during BSP
  * fixed missing build-depends. Closes: #239186

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 17 Apr 2004 12:27:53 +0200

jed (0.99.16-3.1) unstable; urgency=low

  * NMU
  * Uses hevea instead of latex2html to generate html documentation,
    patch available on the BTS
    (Closes: Bug#221338)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  6 Jan 2004 14:09:20 +0100

jed (0.99.16-3) unstable; urgency=low

  * New package maintainer.
  * Problem with invisible documentation fixed (closes: #197595).
  * Added Slang function reference (slangfun.txt) to jed-common.

 -- Adam Byrtek <alpha@debian.org>  Fri, 27 Jun 2003 13:50:40 +0200

jed (0.99.16-2) unstable; urgency=low

  * Fixed uid/gid handling bug as suggested by Petr Linke <petr@novicom.cz>
  * Fixed typo in package description (s/commono/common/g).  Closes: #177682.

 -- Charl P. Botha <cpbotha@debian.org>  Mon, 17 Feb 2003 20:08:57 +0100

jed (0.99.16-1) unstable; urgency=low

  * New upstream version.
  * Fixed description of jed-sl.  Closes: #172578.

 -- Charl P. Botha <cpbotha@debian.org>  Mon, 16 Dec 2002 21:36:49 +0100

jed (0.99.15-6) unstable; urgency=low

  * Moved linux.sl to jed-sl.  This is where it should be: if a user wishes
    to use linux.sl as default.sl, she can install jed-sl. Closes: #146830.

 -- Charl P. Botha <cpbotha@debian.org>  Sun, 19 May 2002 21:32:04 +0200

jed (0.99.15-5) unstable; urgency=low

  * Added note about colour schemes to README.Debian.  Closes: #135080.
  * Changed default colour to "default1", see debian/patches/
    site.sl-color_scheme-default1.diff.  This kills bug 135080 even more.
    debian/patches/site.sl-color_scheme-default1.diff
  * Changed default jed.rc so that emacs emulation is default.  Upstream has
    NO default and this causes confusion with enable_menu_keys().
    debian/patches/jed.rc-emacs_default.diff
  * Applied patch by John E. Davis to fix honouring of variable
    C_Autoinsert_CPP_Comments.  See
    debian/patches/cmode.sl-auto_cpp_comment_fix.diff.  Closes: #139142.

 -- Charl P. Botha <cpbotha@debian.org>  Wed, 20 Mar 2002 20:04:54 +0100

jed (0.99.15-4) unstable; urgency=low

  * This time _really_ added paste_mode.sl to jed/lib/.
  * Corrected information about JED startup sequence in README.Debian-startup.
  * Added code to 00debian.sl to make idiot "Delete" key delete character
    under cursor.  Unfortunately, this is in section 10.8 of Debian policy.
    Closes: #129731.

 -- Charl P. Botha <cpbotha@debian.org>  Fri, 18 Jan 2002 00:10:41 +0100

jed (0.99.15-3) unstable; urgency=low

  * Added clarification of xterm alt->meta->esc situation to
    jed-common/README.Debian.  Closes: #121523.
  * Added information about paste_mode to jed-common/README.Debian.
  * Applied debian/patches/site.sl-strcompress-slashes.diff as supplied by
    John E. Davis on the mailing list.  This makes the behaviour of JED w.r.t.
    directory slashes identical to that of emacs.  Closes: #120573.
  * Changed /etc/jed.conf to the version supplied by John E. Davis.

 -- Charl P. Botha <cpbotha@debian.org>  Sat, 15 Dec 2001 19:24:48 +0100

jed (0.99.15-2) unstable; urgency=low

  * Implemented new startup scheme as suggested by Rafael Laboissiere.
    Updated all pertinent documentation an scripts. Closes: #119196.
  * Activated xfontrender patch by me.

 -- Charl P. Botha <cpbotha@debian.org>  Tue, 13 Nov 2001 22:45:50 +0100

jed (0.99.15-1) unstable; urgency=low

  * New upstream release.  Closes: #112721.
  * Removed 00site.sl and 99defaults.sl to be replaced by single 00debian.sl,
    which will be used for most debian-specific changes
  * Added paste_mode.sl (by John) and an autoload for it in 00debian.sl
  * Added indent_buffer and indent_region_or_line functions to 00debian.sl

 -- Charl P. Botha <cpbotha@debian.org>  Sat, 13 Oct 2001 01:57:59 +0200

jed (0.99.14-2) unstable; urgency=low

  * Removed some out-of-date text from the package description.
  * Fixed pymode.sl.  See README.Maintainer.
  * Added site.sl patch (by John, from mailing list) for correct startup.

 -- Charl P. Botha <cpbotha@debian.org>  Tue,  3 Jul 2001 18:45:04 +0200

jed (0.99.14-1) unstable; urgency=low

  * New upstream release.
  * Added [!hurd-i386] to libgpmg1-dev Build-Depends.  Closes: #95843.
  * Removed calls to dh_testversion (Build-Depends includes debhelper with
    version).
  * Added --section to install-info in jed-common.postinst.
  * Added INACTIVE xft patch (by me)

 -- Charl P. Botha <cpbotha@debian.org>  Sun,  3 Jun 2001 01:54:04 +0200

jed (0.99.12-9) unstable; urgency=low

  * Disabled DFA.  DFA does not work across lines, and this is quite
    disturbing with many highlighting schemes.

 -- Charl P. Botha <cpbotha@debian.org>  Sun,  8 Apr 2001 17:07:41 +0200

jed (0.99.12-8) unstable; urgency=low

  * The pressure is too much; I've re-included rgrep, but now as jgrep (so
    as not to cause conflict with rgrep in package grep, thanks to
    Josh Cogliati for the suggestion).

 -- Charl P. Botha <cpbotha@debian.org>  Sat,  3 Mar 2001 21:41:09 +0100

jed (0.99.12-7) unstable; urgency=low

  * Changed menu hints from "text" to "Text" (my fault).  Closes: #80019.
  * Moved the debian specific startup changes in site.sl so that /etc/
    jed-init.d/*.sl files are called at the right time.  Closes: #88076.
  * Modified README.Debian in jed-common to reflect the new startup details.

 -- Charl P. Botha <cpbotha@debian.org>  Fri,  2 Mar 2001 18:35:58 +0100

jed (0.99.12-6) unstable; urgency=low

  * Removed linux.sl from bytecomp.sl.  Closes: #86612.
  * update-alternatives --remove now in jed.prerm (lintian warning).
  * fixed lintian package-contains-upstream-install-documentation.

 -- Charl P. Botha <cpbotha@debian.org>  Sat, 24 Feb 2001 21:22:34 +0100

jed (0.99.12-5) unstable; urgency=low

  * Added build-deps.  Closes: #85786.
  * Added some "sgml"s to Mode_List_{Exts,Modes} in site.sl.  Closes: #86190.

 -- Charl P. Botha <cpbotha@debian.org>  Sun, 18 Feb 2001 21:38:38 +0100

jed (0.99.12-4) unstable; urgency=low

  * Added "hints" entries to menu entries.  Closes: 80019.
  * Rewrote jed-update-startup for better handling of .sl files in
    /etc/jed-init.d. Closes: 84112, 57630.
  * Changed jed startup scheme to be simpler and more consistent with
    the native JED method.
  * Added isearch.sl patch from jed mailing list. Closes: 81366.

 -- Charl P. Botha <cpbotha@debian.org>  Sun, 18 Feb 2001 16:16:05 +0100

jed (0.99.12-3) unstable; urgency=low

  * Rescheduled some of the clean stuff in rules (else we have latex2html
    generated documentation in the diff).
  * Also added more cleanup to the clean clause to handle the extra dfa
    cache files, and more slc files lying around.
  * Added dependency on slang1 > 1.3.11 (upstream requirement).
  * Added pymode.sl to preparse.sl (for DFA cache generation)
  * Fixed changelog moving in debian/rules (this would break repeated builds).

 -- Charl P. Botha <cpbotha@debian.org>  Sun, 26 Nov 2000 00:38:45 +0100

jed (0.99.12-2) unstable; urgency=low

  * New maintainer
  * Changed TAB behaviour back to the _correct_ default, i.e. bound to
    indent_line.  Please see question #13 in
    /usr/share/doc/jed-common/jed_faq.txt.gz
  * Applied patch by John that fixes mode-menu bug in this version.
  * Enabled DFA syntax highlighting (Closes: #69966).
  * Added cua.sl from jed ftp site (it's missing from the archive).
  * DFA syntax tables aren't created for tpascal during preparsing (slc file
    creation) as tpascal has some issues with tpascal.sl.
  * added Q and A to README.Debian explaining how to paste text without it
    being indented by JED (Closes: #74970).
  * Added INSTALL.unx, changes.txt (-> changelog), doc/README to package.

 -- Charl P. Botha <cpbotha@debian.org>  Fri, 17 Nov 2000 00:10:32 +0100

jed (0.99.12-1) unstable; urgency=low

  * New upstream release.
  * STILL LOOKING FOR A NEW MAINTAINER!!!

 -- Christian Hammers <ch@debian.org>  Thu, 16 Nov 2000 20:54:59 +0100

jed (0.99.11-1) unstable; urgency=low

  * New upstream version.

 -- Christian Hammers <ch@debian.org>  Thu,  1 Jun 2000 03:02:46 +0200

jed (0.99.10-3) unstable; urgency=low

  * TAB didn't generate a TAB by default. John even called it a feature,
    but I didn't get it so I put a workaround in the startup-defaults file.

 -- Christian Hammers <ch@debian.org>  Sun, 28 May 2000 13:55:41 +0200

jed (0.99.10-2) unstable; urgency=low

  * Added upstream patch for syntax hilighting. Closes: 61572

 -- Christian Hammers <ch@debian.org>  Sat, 27 May 2000 12:21:51 +0200

jed (0.99.10-1) unstable; urgency=low

  * New upstream release.
  * Fixed jed-update-startup(8) manpage. Closes: #60473
  * Added symlinks to /usr/share/doc/jed-common. Closes: #61013

 -- Christian Hammers <ch@debian.org>  Tue, 23 May 2000 21:48:15 +0200

jed (0.99.9-14) frozen unstable; urgency=low

  * Finally corrected configuration scheme. Closes: #59133
  * Now deletes empty /etc/jed-init.d. Closes: #60171

 -- Christian Hammers <ch@debian.org>  Sat, 11 Mar 2000 15:38:57 +0100

jed (0.99.9-13) frozen unstable; urgency=low

  * Fixed documentation error in README.Debian. Closes: #59133

 -- Christian Hammers <ch@debian.org>  Mon, 28 Feb 2000 23:10:28 +0100

jed (0.99.9-12) frozen unstable; urgency=low

  * For some reasons jed crashes when moving the mouse on console
    terminals. Recompiling helped. Closes: #58041

 -- Christian Hammers <ch@debian.org>  Mon, 14 Feb 2000 16:11:56 +0100

jed (0.99.9-11) frozen unstable; urgency=low

  * Added "elif" as syntax hilighting keyword for sh. Closes: 57424

 -- Christian Hammers <ch@debian.org>  Wed,  9 Feb 2000 12:05:14 +0100

jed (0.99.9-10) frozen unstable; urgency=low

  * Package descriptions referred to renamed packages. Closes: #55899
  * Removed obsolete Q&A in README.Debian. Closes: #56502
  * Fixed dangling manpage symlink. Closes: #55332

 -- Christian Hammers <ch@debian.org>  Sat, 29 Jan 2000 16:01:28 +0100

jed (0.99.9-9) unstable; urgency=low

  * GPM support back again. Closes: #52269
  * Updated info/man notes about docs location. Closes: 47377

 -- Christian Hammers <ch@debian.org>  Thu,  9 Dec 1999 21:13:29 +0100

jed (0.99.9-8) unstable; urgency=medium

  * Damn! Important "tmp race fix" didn't reach me.
    Just found it in the BTS. Now mailed to upstream and applied.
    Closes: 51213

 -- Christian Hammers <ch@debian.org>  Fri,  3 Dec 1999 21:38:56 +0100

jed (0.99.9-7) unstable; urgency=low

  * Applied upstream patch for tex-verbatim mode. Closes: #50111

 -- Christian Hammers <ch@debian.org>  Sun, 14 Nov 1999 22:00:06 +0100

jed (0.99.9-6) unstable; urgency=low

  * Fixed typo in README.Debian-startup. Closes: #48367

 -- Christian Hammers <ch@debian.org>  Thu, 28 Oct 1999 00:19:48 +0200

jed (0.99.9-5) unstable; urgency=low

  * The following changes were made by Rafael Laboissiere:
  *******************************************************************
  * Added support for a new startup strategy for JED.  The new files are :
      - debian/init.d/jed-update-startup: to be called in postinst and
        prerm scripts of packages with add-on support for JED.
      - debian/init.d/jed-update-startup.1: man page for the said command.
      - debian/init.d/README.Debian-startup: documentatation for the new
        startup strategy.
      - debian/init.d/00site.sl: placeholder (conffile).
      - debian/init.d/99default.sl: placeholder (conffile).
  * debian/jed-defaults.sl has been removed from the source, as it is
    automatically generated by jed-update-startup.
  * debian/jed-common.postinst: Added call to jed-update-startup when
    called with "configure" as argument.  This insures that
    /etc/jed-defaults.sl is generated at the outset.
  * debian/jed-common.prerm: Deletes /etc/jed-defaults.sl.
  * debian/rules:
      - Install everything in debian/init.d for the jed-common package.
      - Comment out the installation of jed-startup.sl.
  * debian/jed-common.dirs: added etc/jed-init.d, usr/share/man/man8, and
    usr/sbin.

 -- Christian Hammers <ch@debian.org>  Thu, 28 Oct 1999 00:19:35 +0200

jed (0.99.9-4) unstable; urgency=low

  * Never released...

 -- Christian Hammers <ch@debian.org>  Mon, 11 Oct 1999 19:54:07 +0200

jed (0.99.9-3) unstable; urgency=low

  * Fixed java hilighting (thanks to J.Aylett). Closes: #47160
  * Made script whatelse.sl executable to please lintian.

 -- Christian Hammers <ch@debian.org>  Mon, 11 Oct 1999 19:54:07 +0200

jed (0.99.9-2) unstable; urgency=low

  * Tighten dependencies for jed-common. Closes: #46827
  * Dynamically linked against libslang_1.3: Closes: #46769
  * Fixed perl syntax hilighting. Closes: #46803

 -- Christian Hammers <ch@debian.org>  Mon, 11 Oct 1999 19:44:57 +0200

jed (0.99.9-1) unstable; urgency=low

  * New upstream version ! Fixes a lot of bugs.
  * This one's static linked against the slang1_1.3.8 since the maintainer of
    slang didn't upload the latest version within the last two month :-(

 -- Christian Hammers <ch@debian.org>  Sun,  3 Oct 1999 13:17:33 +0200

jed (0.98.7-17) unstable; urgency=low

  * New upload due to buggy slang1-dev files.

 -- Christian Hammers <ch@debian.org>  Thu, 26 Aug 1999 18:47:41 +0200

jed (0.98.7-16) unstable; urgency=low

  * added some missing depends to the latest jed-common !

 -- Christian Hammers <ch@debian.org>  Wed,  4 Aug 1999 18:25:15 +0200

jed (0.98.7-15) unstable; urgency=low

  * Will perhaps fix bugs 40988 and 41549 ... I hope so !
  * Added HTML docs (using jed.tex).
  * Added doc-base compatibility.
  * Made FHS compatible (/usr/share/doc, /usr/share/jed)
  * Abadoned rgrep in favour of the new "grep -r".

 -- Christian Hammers <ch@debian.org>  Sun,  1 Aug 1999 16:26:28 +0200

jed (0.98.7-14) frozen unstable; urgency=low

  * linked against new ncurses version.
  * Someone had problems with an environment variable called $ARCH.

 -- Christian Hammers <ch@debian.org>  Sat,  2 Jan 1999 14:59:43 +0100

jed (0.98.7-13) frozen unstable; urgency=low

  * README.Debian had a typo and therefore was not in the package.

 -- Christian Hammers <ch@debian.org>  Thu, 10 Dec 1998 18:38:46 +0100

jed (0.98.7-12) frozen unstable; urgency=low

  * Argh ! Another timeout while uploading ?!
  * Unlike the author I like to link against the shared slang library
  * small bug fix

 -- Christian Hammers <ch@debian.org>  Thu, 03 Dec 1998 01:00:23 +0100

jed (0.98.7-11) frozen unstable; urgency=low

  * Unlike the author I like to link against the shared slang library
  * small bug fix

 -- Christian Hammers <ch@debian.org>  Mon, 30 Nov 1998 18:35:23 +0100

jed (0.98.7-10) frozen unstable; urgency=low

  * grrr. forgot the "frozen" statement... and now ??

 -- Christian Hammers <ch@debian.org>  Mon, 23 Nov 1998 22:57:38 +0100

jed (0.98.7-9) unstable; urgency=low

  * grrr. forgot the "frozen" statement

 -- Christian Hammers <ch@debian.org>  Sun, 22 Nov 1998 20:57:38 +0100

jed (0.98.7-8) frozen unstable; urgency=low

  * Made changes to make the order of the configuration files easier.
  * Closes bugs 29564, 29563 and hopefully 29561.

 -- Christian Hammers <ch@debian.org>  Tue, 17 Nov 1998 23:26:21 +0100

jed (0.98.7-7) unstable; urgency=low

  * version -6 didn't upload...
  * Bug in upstream: not all .sl files were compiled so some are missing now.

 -- Christian Hammers <ch@debian.org>  Tue, 28 Jul 1998 01:14:23 +0200

jed (0.98.7-6) unstable; urgency=low

  * fixed some minor bugs
  * Bug in upstream: not all .sl files were compiled so some are missing now.

 -- Christian Hammers <ch@debian.org>  Mon, 20 Jul 1998 23:59:28 +0200

jed (0.98.7-5) unstable; urgency=low

  * Puh, another upload. I suggested finally to name the different
    packages like thos of emacs are called:
    jed,xjed,jed-common,jed-sl.

 -- Christian Hammers <ch@debian.org>  Mon, 20 Jul 1998 01:10:25 +0200

jed (0.98.7-4) unstable; urgency=low

  * Jed is now splittet in jed,xjed,jedslc,jedsl-src

 -- Christian Hammers <ch@debian.org>  Sat, 18 Jul 1998 17:06:08 +0200

jed (0.98.7-3) unstable; urgency=low

  * Many bugfixes...
  * Now jed ships with compiled .slc files.

 -- Christian Hammers <ch@debian.org>  Sun,  5 Jul 1998 21:48:56 +0200

jed (0.98.7-1) unstable; urgency=low

  * New maintainer upload.
  * New upstream release.

 -- Christian Hammers <ch@debian.org>  Sun, 21 Jun 1998 05:38:17 +0200

jed (0.98.2-2.2) unstable; urgency=low

  * Another non-maintainer upload
  * Modified debian/rules set JED_ROOT for compilation (fixes #14683)
  * Package should probably be orphaned:
     - no maintainer work has been done since February 1997
     - new version 0.98.4 is available at ftp://space.mit.edu/pub/davis/jed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Dec 1997 10:30:48 -0500

jed (0.98.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Libc6 compile.
  * Remove elf-x11r6lib from Suggests field.

 -- Martin Mitchell <martin@debian.org>  Sat,  8 Nov 1997 17:40:14 +1100

jed (0.98.2-2) unstable; urgency=high

  * fixed bug #7004 and #6555 (problem with ';' at the end of the last line
    in /etc/jed.rc)

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Sun, 02 Feb 1997 01:27:11 +0200

jed (0.98.2-1) unstable; urgency=medium

  * New upstream release.

  * Compiled on libc5-5.4.17.

  * Rgrep is now separated pkg.

  * Jedsl is built from the same upstream src archive.

  * Added folding support. (testing new gpm support, not yet
    implemented)

  * Modified jed(1) manpage alittle bit.

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Thu, 26 Dec 1996 03:02:22 +0200

jed (0.98b-4) unstable; urgency=high

  * minor changes to src tree

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Tue, 29 Oct 1996 02:44:42 +0200

jed (0.98b-3) unstable; urgency=high

  * fixed bug #4938

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Thu, 24 Oct 1996 23:00:23 +0200

jed (0.98b-2) unstable; urgency=high

  * fixed bug #4874 (thks to Dirk Eddelbuettel)

  * jed dist now includes only the compiled .slc files and .sl files
    that can not be compiled (or should not), new pkg 'jedsl' will be
    provided for .sl srcs

  * a few other little things fixed

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Thu, 24 Oct 1996 00:23:10 +0200

jed (0.98b-1) unstable; urgency=medium

  * New maintainer - Boris D. Beletsky

  * New upstream version

  * changed JED_ROOT to /usr/lib/jed

  * jed.rc is now in /etc

  * changed jed.rc defaults

  * optimized sl conf files for Linux

  * bytecompiled .sl files (.slc)

  * written manpage for jed(1) and rgrep(1)

  * new dpkg standarts (2.1.1.0)

 -- "Boris D. Beletsky" <borik@isracom.co.il>  Sun, 6 Oct 1996 04:45:10 +0200
